0 Пользователей и 1 Гость просматривают эту тему.
  • 7 Ответов
  • 604 Просмотров
*

Treant

  • Новичок
  • 4
  • 0 / 0
При попытке открыть quickstart по теме в Joomla, браузер выдает следующую ошибку :
Fatal error: Cannot use Joomla\String\String as String because 'String' is a special class name in D:\OSPanel\domains\toxajoomla.loc\libraries\vendor\joomla\registry\src\Format\Json.php on line 12
Подскажите, пожалуйста, что делать?
*

SeBun

  • Живу я здесь
  • 3953
  • 254 / 4
  • @SeBun48
Подскажите, пожалуйста, что делать?
Проверить, какая версия PHP должна быть и какая у вас стоит на опенсервере. Это в настройках - модули.
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Сопровождение | IT-аутсорсинг | Недорогие домены и хостинг
*

Treant

  • Новичок
  • 4
  • 0 / 0
Проверить, какая версия PHP должна быть и какая у вас стоит на опенсервере. Это в настройках - модули.
А как проверить неодходимую версия php для этого модуля?
*

SeBun

  • Живу я здесь
  • 3953
  • 254 / 4
  • @SeBun48
А как проверить неодходимую версия php для этого модуля?
Обычно эта информация выложена на сайте разработчика. Ну или там, откуда вы это добро скачали. Переключите на php 5.6, заработает?
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Сопровождение | IT-аутсорсинг | Недорогие домены и хостинг
*

gartes

  • Завсегдатай
  • 1633
  • 127 / 5
  • Е = mс²
*

Treant

  • Новичок
  • 4
  • 0 / 0
Обычно эта информация выложена на сайте разработчика. Ну или там, откуда вы это добро скачали. Переключите на php 5.6, заработает?
На сайте не нашел, поставил php 5.6 и apache, под него, но все равно выдает ту же ошибку. С другими quickstart-ми та же проблема. Не подскажете где найти шаблоны с quickstart, поддерживающие php 7.3 или что ещё можно сделать в этой ситуации?
*

Treant

  • Новичок
  • 4
  • 0 / 0
Обычно эта информация выложена на сайте разработчика. Ну или там, откуда вы это добро скачали. Переключите на php 5.6, заработает?
Подключил PostGreSQL и заработало, спасибо огромное.
*

SeBun

  • Живу я здесь
  • 3953
  • 254 / 4
  • @SeBun48
С другими quickstart-ми та же проблема. Не подскажете где найти шаблоны с quickstart, поддерживающие php 7.3
Казалось бы, вопрос решен и тему можно закрыть. Но что то мне подсказывает, что вам лучше ознакомиться с вот этим материалом.
Оказываю услуги по Joomla | Миграция на Joomla 3.x | Сопровождение | IT-аутсорсинг | Недорогие домены и хостинг
Чтобы оставить сообщение,
Вам необходимо Войти или Зарегистрироваться
 

Ошибка после обновления: Joomla\CMS\Filesystem\Folder::create: Не удалось создат

Автор Mnojitell

Ответов: 1
Просмотров: 56
Последний ответ Сегодня в 04:57:58
от voland
Вышел релиз безопасности Joomla 3.9.25

Автор b2z

Ответов: 7
Просмотров: 204
Последний ответ Сегодня в 01:45:11
от web1
Вышел релиз безопасности Joomla 3.9.24

Автор b2z

Ответов: 18
Просмотров: 851
Последний ответ 02.03.2021, 18:48:49
от b2z
Перенос древней Joomla

Автор vladsid2021

Ответов: 2
Просмотров: 95
Последний ответ 01.03.2021, 10:34:36
от web3.0
После обновления до Joomla 3.9 не войти в редактирование меню

Автор sergspb

Ответов: 4
Просмотров: 127
Последний ответ 28.02.2021, 12:14:26
от sergspb